var connected = true;

function getData (count = 1, time = '', start) {

	checkConnection();

	if(connected == true)
	{
		Update();
	};
};

function checkConnection () {
    axios
      .get('api/local_time')
      .then(response => {
		  topBar.remoteTime = response.data;		  
		  if(!connected)
			showMessage("Соединение восстановлено");
		  connected = true;
		  })
	  .catch(error => {
		  console.log(error);
		  if(connected)
			showError("Соединение прервано");
		  connected = false;
		  });
	topBar.isConnected = connected;
	topBar.autoRefreshVisible = connected;
	if(connected)
		topBar.refresh();

};

function stopTimer () {
  if (this.interval) {
	window.clearInterval(this.interval)
  }
};

function startTimer () {
	this.stopTimer()
	//this.getData();
  	connected = true;
	this.interval = window.setInterval(() => {
	this.getData()
  }, 2000)
};

function showError(text){
	toastr.options = {
		closeButton: true,
		progressBar: true,
		showMethod: 'slideDown',
		timeOut: 10000
	};
	toastr.error(text,'Ошибка');

};
	
function showMessage(text){
	toastr.options = {
		closeButton: true,
		progressBar: true,
		showMethod: 'slideDown',
		timeOut: 10000
	};
	toastr.success(text,'Информация');

};

var copyright = new Vue({
  el: '#copyright',
  data() {
    return {
      text: ""
    };
  },
  mounted() {
	axios
      .get('api/copyright')
      .then(response => this.text = response.data)
	  .catch(error => console.log(error));
  }
});

var mainTitle = new Vue({
  el: '#main_title',
  data() {
    return {
      computername: "Имя компрьютера"
    };
  },
  mounted() {
	axios
      .get('api/computername')
      .then(response => this.computername = response.data)
	  .catch(error => console.log(error));
  }
});