var menuPanel = new Vue({
  el: '#menu_panel',
  data: {
	   selected:'rk7',
	   selected2:'xmlrequests'
  }
});

function Update() {
	xmlRequest.get_list();
	xmlRequest.getresult();
};

var xmlRequest = new Vue({
  el: '#xml_request',
  data() {
    return {
	  list: [],
	  connection: 'Выберите подключение',
      command: 
`<?xml version="1.0" encoding="UTF-8"?>
<RK7Query>
	<RK7CMD CMD="GetSystemInfo"/>
</RK7Query>`,
	  result: '',
	  hostport: '',
	  custom: false,
	  user: '',
	  password: ''
    };
  },
  mounted() {
	this.get_list();
  },
  methods: {
	get_list: function () {
		axios
		  .get('api/get_xmlif_list')
		  .then(response => this.list = response.data)
		  .catch(error => console.log(error));
	},
	getresult: function () {
		axios
		  .get('api/get_xmlif_send_result')
		  .then(response => this.result = response.data)
		  .catch(error => console.log(error));
	},
	change: function () {
		if(this.connection == '_custom_')
		{
			this.custom = true;
			this.hostport = '';
			this.user = '';
			this.password = '';
		}
		else
		{
			this.custom = false;
			var found = [];
			for(var i=0; i < this.list.length; i++){
				if(this.list[i].name==this.connection){
					found = this.list[i];
				};
			};
			this.hostport = found.hostport;
			this.user = found.user;
			this.password = found.password;
		}
	},
    sendxml: function (file) {
		this.result = 'Отправляем запрос...';
		var data = new FormData();
		data.append(file, this.text);		
		axios.post('api/send_xmlif_command?name=' + this.connection + '&hostport=' + this.hostport + '&user=' + this.user + '&password=' + this.password, this.command,
			{
                headers: {
                    'Content-Type': 'multipart/form-data',
					'Text-Enconding': this.encoding,
				}
			})
			.then(function (res) {
				//this.getresult();
			  //output.className = 'container';
			  //output.innerHTML = res.data;
			})
			.catch(error => console.log(error));		
		xmlRequest.getresult();
	}
	}
});

