var menuPanel = new Vue({
  el: '#menu_panel',
  data: {
	   selected:'files',
	   selected2:'manager'
  }
});

function Update() {
		
	//fileList.refresh();
};

var fileList = new Vue({
  el: '#file_list',
  data() {
    return {
      dir: [	],
	  loading: false,
	  uploadvisible: false,
    };
  },
  mounted() {
	  this.refresh();
  },
  methods: {
	refresh: function () {
		axios
		  .get('api/json_get_files')
		  .then(response => {this.dir = response.data})
		  .catch(error => console.log(error));		
	},
	navigate: function (nav) {
		this.loading=true;
		axios
		  .get('api/json_get_files?nav=' + nav)
		  .then(response => {
			this.dir = response.data;		
			if(this.dir.message!='')
				showError(this.dir.message);
			this.loading=false;
		  })
		  .catch(error => console.log(error));	
	},
    download: function (file) {
		window.location.href = 'api/download?file=' + file;
    },
    downloadzip: function (file) {
		window.location.href = 'api/download_zip?file=' + file;
    },
    downloadAll: function () {
		window.location.href = 'api/download_watch_zip';
    },
    view: function (file) {
		axios
		  .get('api/kill?id=' + id)
		  .catch(error => console.log(error));
    },
	load: function (name,link) {
		textEdit.load(name,link);
	}
  }  
});
