var menuPanel = new Vue({
  el: '#menu_panel',
  data: {
	   selected:'state',
	   selected2:''
  }
});

function Update() {

	scriptStatus.refresh();
	statusLog.refresh();
	textLog.refresh();
		
	d = new Date();
	$("#img_container").attr("src", "api/screen_small?t="+d.getTime());
};


var statusLog = new Vue({
  el: '#status_log',
  data() {
    return {
      lines: [ "Загрузка статусов..."]
    };
  },
  mounted() {
  },
  methods: {
	refresh: function () {
		axios
		  .get('api/json_status_log')
		  .then(response => this.lines = response.data)
		  .catch(error => console.log(error));
		var box = $('#status_log');
		$(box).slimScroll({ scrollTo: box[0].scrollHeight });
	}
  }
});

var textLog = new Vue({
  el: '#text_log',
  data() {
    return {
      lines: [ "Загрузка журнала..."]
    };
  },
  mounted() {
  },
  methods: {
	refresh: function () {
		axios
		  .get('api/json_raw_log')
		  .then(response => this.lines = response.data)
		  .catch(error => console.log(error));
		var box = $('#text_log');
		$(box).slimScroll({ scrollTo: box[0].scrollHeight });
	}
  }
});

var scriptStatus = new Vue({
  el: '#script_status',
  data() {
    return {
      statusText: "Загрузка статуса...",
	  onoff: "-1",
      errorCount: 0,
      lastError: "",
      lastErrorTime: ""
    };
  },
  mounted() {
  },
  methods: {
	refresh: function () {
		axios
		  .get('api/status')
		  .then(response => this.statusText = response.data)
		  .catch(error => console.log(error));
		axios
		  .get('api/script_working')
		  .then(response => this.onoff = response.data)
		  .catch(error => console.log(error));
		axios
		  .get('api/raw_allerr')
		  .then(response => this.errorCount = response.data)
		  .catch(error => console.log(error));
		axios
		  .get('api/raw_lasterr')
		  .then(response => this.lastError = response.data)
		  .catch(error => console.log(error));
		axios
		  .get('api/raw_lasterr_time')
		  .then(response => this.lastErrorTime = response.data)
		  .catch(error => console.log(error));
	},
    start: function (event) {
		axios
		  .get('api/start')
		  .catch(error => console.log(error));
    },
	stop: function (event) {
		axios
		  .get('api/stop')
		  .catch(error => console.log(error));
	}
  }
});


