Vue.component('menu-panel', {
  props: ['tab', 'subtab'],
  template:
`  <div class="sidebar-collapse animated fadeInLeft">
	<ul class="nav metismenu" id="side-menu">
		<li class="nav-header">
		</li>
		<li v-bind:class="{active: tab=='state'}">
			<a href="index.html"><span class="nav-label">Cтатус</span></a>
		</li>
		<li v-bind:class="{active: tab=='process'}">
			<a><span class="nav-label">Процессы</span><span class="fa arrow"></span></a>
			<ul class="nav nav-second-level">
				<li v-bind:class="{active: subtab=='script'}"><a href="script_process.html">Процессы сценария</a></li>
				<li v-bind:class="{active: subtab=='all'}"><a href="all_process.html">Все процессы</a></li>
				<li v-bind:class="{active: subtab=='console'}"><a href="remote_console.html">Консоль</a></li>
			</ul>
		</li>
		<li v-bind:class="{active: tab=='screen'}">
			<a><span class="nav-label">Экран</span><span class="fa arrow"></span></a>
			<ul class="nav nav-second-level">
				<li v-bind:class="{active: subtab=='current'}"><a href="current_screen.html">Текущий экран</a></li>
				<li v-bind:class="{active: subtab=='history'}"><a href="screen_history.html">История экрана</a></li>
			</ul>
		</li>
		<li v-bind:class="{active: tab=='files'}">
			<a><span class="nav-label">Файлы</span><span class="fa arrow"></span></a>
			<ul class="nav nav-second-level">
				<li v-bind:class="{active: subtab=='watch'}"><a href="watch_files.html">Наблюдаемые</a></li>
				<li v-bind:class="{active: subtab=='manager'}"><a href="file_manager.html">Менеджер</a></li>
			</ul> 
		</li>
		<li v-bind:class="{active: tab=='script'}">
			<a><span class="nav-label">Сценарий</span><span class="fa arrow"></span></a>
			<ul class="nav nav-second-level">
				<li v-bind:class="{active: subtab=='locales'}"><a href="locales.html">Переменные</a></li>
				<li v-bind:class="{active: subtab=='config'}"><a href="script_config.html">Настройки</a></li>
			</ul>
		</li>
		<li v-bind:class="{active: tab=='rk7'}">
			<a><span class="nav-label">RK7</span><span class="fa arrow"></span></a>
			<ul class="nav nav-second-level">
				<li v-bind:class="{active: subtab=='windows'}"><a href="windows_rk7.html">Окна RK7</a></li>
				<li v-bind:class="{active: subtab=='xmlrequests'}"><a href="xml_requests.html">XML запросы</a></li>
			</ul>
		</li>
		<li v-bind:class="{active: tab=='other'}">
			<a><span class="nav-label">Другое</span><span class="fa arrow"></span></a>
			<ul class="nav nav-second-level">
				<li v-bind:class="{active: subtab=='info'}"><a href="info.html">Информация</a></li>
				<li v-bind:class="{active: subtab=='events'}"><a href="events.html">События</a></li>
				<!--<li v-bind:class="{active: subtab=='webapi'}"><a href="web_api.html">Web-API</a></li>-->
				<li v-bind:class="{active: subtab=='version'}"><a href="version_history.html">Версии</a></li>
			</ul>
		</li>
	</ul>
</div>`
});

