var menuPanel = new Vue({
  el: '#menu_panel',
  data: {
	   selected:'process',
	   selected2:'console'
  }
});

function Update() {
		
	remoteConsole.refresh();
	consoleControl.refresh();
};

var remoteConsole = new Vue({
  el: '#remote_console',
  data() {
    return {
      lines: [ "Загрузка консоли..."]
    };
  },
  mounted() {
	//this.refresh();
  },
  methods: {
	refresh: function () {
		axios
		  .get('api/json_remote_console')
		  .then(response => this.lines = response.data)
		  .catch(error => console.log(error));
		
		var box = $('#console_text');
		//box.scrollHeight = 300;
		var scrollToVal = box[0].scrollHeight;
		$(box).slimScroll({ scrollTo : scrollToVal + 'px' });
	}
  }
});

var consoleControl = new Vue({
  el: '#console_control',
  data() {
    return {
	  commands: [],
	  command: "",
	  currCommand: -1
    };
  },
  mounted() {
	//this.refresh();
  },
  methods: {
	refresh: function () {
	
		axios
		  .get('api/json_remote_console_commands')
		  .then(response => this.commands = response.data)
		  .catch(error => console.log(error));

	},
	send: function () {
		axios
		  .get('api/remote_console_start?command=' + this.command)
		  .catch(error => console.log(error));
		  this.command = '';
		  this.currCommand = -1;
	},
	ctrlc: function () {
		axios
		  .get('api/remote_console_ctrlc')
		  .catch(error => console.log(error));
		 return false;
	},
	commandUp: function () {
		this.currCommand++;
		if(this.currCommand > this.commands.length -1)
		{
			this.currCommand = -1;
			this.command='';			
		}
		else
		{
			this.command = this.commands[this.currCommand];		
		}
	},
	commandDown: function () {
		this.currCommand--;
		if(this.currCommand==-1)
		{
			this.command='';			
		}
		else
		{
			if(this.currCommand < -1)
			{
				this.currCommand = this.commands.length -1;
			}
			this.command = this.commands[this.currCommand];			
		}
	}	
  }
});